<ion-header>
  <ion-navbar>
    <ion-row>
      <ion-col col-6>
        <h4 class="business_name_at_dashboard">{{translate.homePage[0][translate.selectedlanguage]}}</h4>
      </ion-col>
      <ion-col col-6>
        <ion-title text-right><ion-icon ios="ios-exit" md="md-exit" (click)="logout()"></ion-icon></ion-title>
      </ion-col>
    </ion-row>
  </ion-navbar>
</ion-header>

<ion-content>
  <ion-row class="ewb_tabs">
    <ion-searchbar (ionInput)="searchBusiness($event)" placeholder="Search Business by Name"></ion-searchbar>
  </ion-row>
  <ion-card class="business_cards" *ngFor="let business of businessList">
    <ion-card-header class="card_header">
      <ion-row>
        <ion-col col-2 class="common_class">
          <div class="name_shortcut" text-uppercase>{{getSortedName(business.business_name)}}</div>
        </ion-col>
        <ion-col col-9 style="line-height: 40px;text-align: left;">
          <div class="name_full" text-uppercase>{{getSpliceName(business.business_name)}}</div>
        </ion-col>
        <ion-col col-1 class="common_class" style="line-height: 40px;">
          <ion-row style="margin:0px;padding:0px;" [hidden]="businessStatus == business.buid">
            <ion-col col-12 style="text-align:right;margin:0px;padding:0px;" (click)="showDetails(business.buid)">
              <span class="arrow_down">
                <ion-icon ios="ios-arrow-dropdown" md="md-arrow-dropdown"></ion-icon>
              </span>
            </ion-col>
          </ion-row>
          <ion-row style="margin:0px;padding:0px;" [hidden]="businessStatus != business.buid">
            <ion-col col-12 style="text-align:right;margin:0px;padding:0px;" (click)="hideDetails()">
              <span class="arrow_down"><ion-icon ios="ios-arrow-dropup" md="md-arrow-dropup"></ion-icon></span>
            </ion-col>
          </ion-row>
        </ion-col>
      </ion-row>
    </ion-card-header>
    <ion-card-content class="card_content">
      <div [hidden]="businessStatus != business.buid">
        <ion-row class="card_content_row" *ngFor="let branch of business.GSTIN">
          <ion-col col-2></ion-col>
          <ion-col col-10>
            <span class="card_country_name" text-capitalize>{{branch.branch}}</span>
            <br>
            <span text-uppercase>(GSTIN: {{branch.gstin}})</span>
            <br>
            <span text-uppercase>
              <button ion-button class="dashboard_button" (click)="gotoDashboard(business.business_name, business.buid, branch)">
                {{translate.homePage[1][translate.selectedlanguage]}}
              </button>
            </span>
          </ion-col>
        </ion-row>
        <ion-row class="card_content_row" (click)="addBranch(business.business_name, business.buid)">
          <ion-col col-2 text-center>
            <div class="add_branch_button" ><ion-icon ios="ios-add" md="md-add"></ion-icon></div>
          </ion-col>
          <ion-col col-10>
            <div class="add_branch_text">{{translate.homePage[2][translate.selectedlanguage]}}</div>
          </ion-col>
        </ion-row>
      </div>
    </ion-card-content>
  </ion-card>
  <ion-fab right bottom *ngIf="displayAddBusinessButton">
    <button ion-fab color="light" (click)="addBusiness()"><ion-icon ios="ios-add" md="md-add"></ion-icon></button>
  </ion-fab>
</ion-content>
